Subject: Re: [RFH/PATCH] prefix_path(): disallow absolute paths

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Jan 2008 23:28:42 -0800

Johannes Sixt <[email-masked]> writes:

> I appreciate this new sanitary_copy_path() because I expect that we will
> need at least one less #ifdef __MINGW32__/#endif compared to our current
> Windows port.

I would have expected that the whole function would have
platform specific implementation to deal with Windows, not just
ifdef sprinkled everywhere that says "Oh, on this platform
directory separator is a backslash".

Especially I have no idea how would that drive lettter stuff
would/should work.  When you are in C:\Documents\Panda\, how
would you express D:\Movie\Porn\My Favorite.mpg as a relative
path?